package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 *  Reportdetail 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-03-02 15:04:24
 */
 @ApiModel(value="Reportdetail", description="")
public class Reportdetail implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/**  **/
	@ApiModelProperty(value = "") 
private String detailreportid;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String longitude;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String latitude;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String areaname;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String name;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String powerstationid;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String powerstationname;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String arelongitude;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String arelatitude;
		
		
	public String getDetailreportid() {
        return detailreportid;
    }

    public void setDetailreportid(String detailreportid) {
        this.detailreportid = detailreportid;
    }
	 
			
	public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
	 
			
	public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
	 
			
	public String getAreaname() {
        return areaname;
    }

    public void setAreaname(String areaname) {
        this.areaname = areaname;
    }
	 
			
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
	 
			
	public String getPowerstationid() {
        return powerstationid;
    }

    public void setPowerstationid(String powerstationid) {
        this.powerstationid = powerstationid;
    }
	 
			
	public String getPowerstationname() {
        return powerstationname;
    }

    public void setPowerstationname(String powerstationname) {
        this.powerstationname = powerstationname;
    }
	 
			
	public String getArelongitude() {
        return arelongitude;
    }

    public void setArelongitude(String arelongitude) {
        this.arelongitude = arelongitude;
    }
	 
			
	public String getArelatitude() {
        return arelatitude;
    }

    public void setArelatitude(String arelatitude) {
        this.arelatitude = arelatitude;
    }
	 
			
	public Reportdetail() {
        super();
    }
    
																																															
	public Reportdetail(String detailreportid,String longitude,String latitude,String areaname,String name,String powerstationid,String powerstationname,String arelongitude,String arelatitude) {
	
		this.detailreportid = detailreportid;
		this.longitude = longitude;
		this.latitude = latitude;
		this.areaname = areaname;
		this.name = name;
		this.powerstationid = powerstationid;
		this.powerstationname = powerstationname;
		this.arelongitude = arelongitude;
		this.arelatitude = arelatitude;
		
	}
	
}